Subject: Re: bug#27880: 25.2; elisp-mode-tests may downcase too aggressively

From: [email-masked]
Date: Sun, 30 Jul 2017 16:41:08 -0400

merge 27880 25534
quit

Rob Browning <[email-masked]> writes:

> [Refiling as a bug report from a list thread.]
>
> It looks like (in 25.2, and perhaps master too) elisp-mode-tests.el
> downcases the xref path (location) for comparison in
> xref-elisp-test-run, but that seems to also affect the filesystem lookup
> lower down (in xref--goto-location) such that a handful of tests fail if
> the build path contains uppercase characters.  i.e. it tries to read the
> downcased path, which of course (on ext4) doesn't exist.
>
> In any case, I've hacked up a temporary fix by keeping the original as
> "real-xref" and cloning that (and copying the location) to produce the
> xref used by the modification and comparison.
>
> Thanks

This is the same as Bug#25534 "xref ERT tests fail when the source path
is mixed case", right?